#!/bin/bash
set -x

THISDIR="$(cd $(dirname "$BASH_SOURCE") && pwd -P)"
DST="/var/mirror"

echo "http://172.17.0.1/ubuntu/" > $DST/mirrors.txt
chmod a+r $DST/mirrors.txt

mkdir -p "$DST/ubuntu"

export GNUPGHOME="/etc/debmirror/ubuntu"

debmirror \
	-a ${MIRROR_ARCHITECTURES:-amd64} \
	--no-source \
	-s ${MIRROR_CATEGORIES:-main,universe,multiverse,restricted} \
	-h ${UBUNTU_MIRROR_SOURCE:-archive.ubuntu.com} \
	-d ${UBUNTU_MIRROR_PROJECTS:-focal,focal-updates,focal-security,focal-backports} \
    --ignore-small-errors \
	-r /ubuntu \
    --getcontents \
	--progress \
	--method=http \
	$DST/ubuntu

chmod -R a+rX $DST
